uses
  sysutils;
var
  n, k, d, q, i: integer;
begin
  n := strtoint(paramstr(1));
  k := strtoint(paramstr(2));
  d := strtoint(paramstr(3));
  randseed := n * 239 + k + d;
  q := random(1000000000 - d + 1) + 1;
  writeln(n, ' ', k);
  for i := 1 to n do begin
    if (i > 1) then write(' ');
    write(random(d) + q);
  end;
  writeln;
end.